Package org.eclipse.emf.cdo.lm.client

# Enum Class LMImporter.ImportElement.Type

java.lang.Object
java.lang.Enum<LMImporter.ImportElement.Type>
org.eclipse.emf.cdo.lm.client.LMImporter.ImportElement.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<LMImporter.ImportElement.Type>`, `Constable`

Enclosing class:
  `LMImporter.ImportElement`

public static enum LMImporter.ImportElement.Type extends Enum<LMImporter.ImportElement.Type>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BINARY`
`FOLDER`
`RESOURCE`
`TEXT`

## Method Summary

Modifier and Type
Method
Description
`static LMImporter.ImportElement.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LMImporter.ImportElement.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FOLDER

public static final LMImporter.ImportElement.Type FOLDER

### RESOURCE

public static final LMImporter.ImportElement.Type RESOURCE

### BINARY

public static final LMImporter.ImportElement.Type BINARY

### TEXT

public static final LMImporter.ImportElement.Type TEXT

## Method Details

### values

public static LMImporter.ImportElement.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LMImporter.ImportElement.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null